package main

/*
#include <stdlib.h>
*/
import "C"
import (
	"ShotRDP/client"
	"unsafe"
)

//export GetScreen
func GetScreen(host *C.char, data **C.char, length *C.int, width C.int, height C.int) *C.char {
	imgBytes, err := client.RealGetScreen(C.GoString(host), int(width), int(height))
	if err != nil {
		return C.CString(err.Error())
	}

	*data = (*C.char)(C.CBytes(imgBytes))
	*length = C.int(len(imgBytes))
	return nil
}

//export Free
func Free(p *C.char) {
	C.free(unsafe.Pointer(p))
}

func main() {}
